## org.apache.mahout.math
Class DenseSymmetricMatrix

    java.lang.Object
      org.apache.mahout.math.AbstractMatrix
          org.apache.mahout.math.UpperTriangular
              org.apache.mahout.math.DenseSymmetricMatrix

All Implemented Interfaces:
  Cloneable, Iterable<MatrixSlice>, Matrix, VectorIterable

    public class DenseSymmetricMatrix

extends UpperTriangular

Economy packaging for a dense symmetric in-core matrix.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.math.AbstractMatrix
`AbstractMatrix.TransposeViewVector`

Field Summary

Fields inherited from class org.apache.mahout.math.AbstractMatrix
`COL, columnLabelBindings, columns, ROW, rowLabelBindings, rows`

Constructor Summary
`DenseSymmetricMatrix(double[] data, boolean shallow)`
`DenseSymmetricMatrix(int n)`
`DenseSymmetricMatrix(UpperTriangular mx)`
`DenseSymmetricMatrix(Vector data)`

Method Summary
`double` `getQuick(int row, int column)` Return the value at the given indexes, without checking bounds
`void` `setQuick(int row, int column, double value)` Set the value at the given index, without checking bounds

Methods inherited from class org.apache.mahout.math.UpperTriangular
`assignColumn, assignNonZeroElementsInRow, assignRow, getData, getNumNondefaultElements, like, like, viewPart`

Methods inherited from class org.apache.mahout.math.AbstractMatrix

`aggregate, aggregateColumns, aggregateRows, asFormatString, assign, assign, assign, assign, assign, clone, columnSize, determinant, divide, get, get, getColumnLabelBindings, getRowLabelBindings, iterateAll, iterator, minus, numCols, numRows, numSlices, plus, plus, rowSize, set, set, set, set, set, set, setColumnLabelBindings, setRowLabelBindings, times, times, times, timesSquared, toString, transpose, viewColumn, viewDiagonal, viewPart, viewRow, zSum`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DenseSymmetricMatrix

    public DenseSymmetricMatrix(int n)

### DenseSymmetricMatrix

    public DenseSymmetricMatrix(double[] data,
                                boolean shallow)

### DenseSymmetricMatrix

    public DenseSymmetricMatrix(Vector data)

### DenseSymmetricMatrix

    public DenseSymmetricMatrix(UpperTriangular mx)

Method Detail

### getQuick

    public double getQuick(int row,
                           int column)

  Description copied from interface: `Matrix`
  Return the value at the given indexes, without checking bounds

  Specified by:
    `getQuick` in interface `Matrix`
  Overrides:
    `getQuick` in class `UpperTriangular`
  Parameters:
    `row` - an int row index
    `column` - an int column index
  Returns:
    the double at the index

### setQuick

    public void setQuick(int row,
                         int column,
                         double value)

  Description copied from interface: `Matrix`
  Set the value at the given index, without checking bounds

  Specified by:
    `setQuick` in interface `Matrix`
  Overrides:
    `setQuick` in class `UpperTriangular`
  Parameters:
    `row` - an int row index into the receiver
    `column` - an int column index into the receiver
    `value` - a double value to set

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.